#ifndef config_h
#define config_h

#include <iostream>
#include <string>
#include <list>
#include "shared_lists.h"

using namespace std;

struct predefined_function
{
  string function_name;
  string module_name;

  predefined_function() { }
  predefined_function(const predefined_function &pred)
  { function_name=pred.function_name; module_name=pred.module_name;}
  predefined_function(const string &fname,const string &mname)
  { function_name=fname; module_name=mname;}
  friend ostream &operator << (ostream& ostr, const predefined_function &predf);
};

extern list<predefined_function> predefined_functions; 
extern int predefined_function_count;
extern list<string> excluded_contexts;

// read predefined_function from file
void read_config_file();

#endif // config_h
